import { Plugin } from 'rollup';
export interface SnowpackConfig {
    source: 'local' | 'pika';
    webDependencies?: string[];
    dedupe?: string[];
    namedExports?: {
        [filepath: string]: string[];
    };
    installOptions: {
        babel?: boolean;
        clean: boolean;
        hash: boolean;
        dest: string;
        exclude: string[];
        externalPackage: string[];
        include?: string;
        nomodule?: string;
        nomoduleOutput: string;
        optimize: boolean;
        nodeEnv?: string;
        remotePackage?: string[];
        remoteUrl: string;
        sourceMap?: boolean | 'inline';
        stat: boolean;
        strict: boolean;
    };
    rollup: {
        plugins: Plugin[];
    };
}
export interface CLIFlags extends Partial<SnowpackConfig['installOptions']> {
    help?: boolean;
    version?: boolean;
    reload?: boolean;
    source?: SnowpackConfig['source'];
    config?: string;
}
export default function loadConfig(flags: CLIFlags): {
    config: SnowpackConfig;
    errors: string[];
};
